apiVersion: v1
items:
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      deployment.kubernetes.io/revision: "2"
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{},"labels":{"app":"nginx"},"name":"nginx","namespace":"default"},"spec":{"replicas":1,"selector":{"matchLabels":{"app":"nginx"}},"template":{"metadata":{"labels":{"app":"nginx"}},"spec":{"containers":[{"image":"nginx:1.21.3","name":"nginx","ports":[{"containerPort":80,"name":"http"}],"volumeMounts":[{"mountPath":"/etc/nginx/conf.d","name":"config"},{"mountPath":"/var/log/nginx","name":"log"},{"mountPath":"/home","name":"www"},{"mountPath":"/etc/localtime","name":"localtime","readOnly":true}]}],"hostAliases":[{"hostnames":["api-dev.daline.com.cn"],"ip":"172.16.0.50"},{"hostnames":["store.daline.com.cn"],"ip":"172.16.0.5"}],"hostname":"nginx","volumes":[{"name":"config","nfs":{"path":"/home/NFSData/dev/nginx/config","server":"358f848b69-qbc2.cn-shanghai.nas.aliyuncs.com"}},{"name":"log","nfs":{"path":"/home/NFSData/dev/nginx/log","server":"358f848b69-qbc2.cn-shanghai.nas.aliyuncs.com"}},{"name":"www","nfs":{"path":"/home/NFSData/dev/nginx/www","server":"358f848b69-qbc2.cn-shanghai.nas.aliyuncs.com"}},{"hostPath":{"path":"/etc/localtime"},"name":"localtime"}]}}}}
    creationTimestamp: "2022-04-01T07:36:02Z"
    generation: 2
    labels:
      app: nginx
    name: nginx
    namespace: default
    resourceVersion: "25810512"
    uid: a2b2d218-2a68-42a6-bc1f-abde0a75adca
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app: nginx
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          app: nginx
      spec:
        containers:
        - image: nginx:1.21.3
          imagePullPolicy: IfNotPresent
          name: nginx
          ports:
          - containerPort: 80
            name: http
            protocol: TCP
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /etc/nginx/conf.d
            name: config
          - mountPath: /var/log/nginx
            name: log
          - mountPath: /home
            name: www
          - mountPath: /etc/localtime
            name: localtime
            readOnly: true
        dnsPolicy: ClusterFirst
        hostname: nginx
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - name: config
          nfs:
            path: /home/NFSData/dev/nginx/config
            server: 358f848b69-qbc2.cn-shanghai.nas.aliyuncs.com
        - name: log
          nfs:
            path: /home/NFSData/dev/nginx/log
            server: 358f848b69-qbc2.cn-shanghai.nas.aliyuncs.com
        - name: www
          nfs:
            path: /home/NFSData/dev/nginx/www
            server: 358f848b69-qbc2.cn-shanghai.nas.aliyuncs.com
        - hostPath:
            path: /etc/localtime
            type: ""
          name: localtime
  status:
    availableReplicas: 1
    conditions:
    - lastTransitionTime: "2022-04-01T07:36:02Z"
      lastUpdateTime: "2022-04-11T07:10:22Z"
      message: ReplicaSet "nginx-b76c9b49f" has successfully progressed.
      reason: NewReplicaSetAvailable
      status: "True"
      type: Progressing
    - lastTransitionTime: "2022-09-28T00:52:20Z"
      lastUpdateTime: "2022-09-28T00:52:20Z"
      message: Deployment has minimum availability.
      reason: MinimumReplicasAvailable
      status: "True"
      type: Available
    observedGeneration: 2
    readyReplicas: 1
    replicas: 1
    updatedReplicas: 1
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
